Bug 850664 - [RFE] RHS 2.0 Plus Feature Documentation: libaio support
[RFE] RHS 2.0 Plus Feature Documentation: libaio support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Divya
SATHEESARAN
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 02:27 EDT by Divya
Modified: 2016-05-11 09:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Provide support for native linux AIO in glusterfs Reason: "The POSIX asynchronous I/O (AIO) interface allows applications to initiate one or more I/O operations that are performed asynchronously (i.e., in the background). The application can elect to be notified of completion of the I/O operation in a variety of ways: by delivery of a signal, by instantiation of a thread, or no notification at all." This needs re-editing, as this is the output of man aio. Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 03:15:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Divya 2012-08-22 02:27:48 EDT
In Red Hat Storage 2.0 Plus, it is planned to provide libaio support.
Comment 2 Divya 2012-09-13 04:48:43 EDT
Hi Shishir,

Could you please provide libaio support information in Doc Text field?

Thanks,
Divya
Comment 3 Divya 2012-09-24 02:23:25 EDT
Hi Shishir,

Based on your inputs, I have come up with the following content for libaio support:

option: linux-aio
Description: This option enables support for native Linux AIO (Asynchronous I/O) in Red Hat Storage. This Linux AIO interface allows applications to initiate one or more I/O operations that are performed asynchronously. This  improves             the responsiveness of glusterfsd process.
Default Value: enable
Available Options: enable | disable

Please review and let me know if it requires any change.

Thanks,
Divya
Comment 4 Divya 2012-10-08 07:09:39 EDT
I have documented "linux-aio" option in Tuning Volumes section and updated guide is available at: http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html/Administration_Guide/chap-User_Guide-Managing_Volumes.html#sect-User_Guide-Managing_Volumes-Tuning
Comment 5 SATHEESARAN 2012-10-09 09:57:12 EDT
Hi Divya,

In your "comment 3", you mentioned that the default value for linux-aio as "enable", but in the documentation I find the default value as "disable".

I hope either of the one should be incorrect. I was trying to check the default value of linux-aio option, but I could not able to find that. Please add suitable comment, for me to verify this bug
Comment 6 SATHEESARAN 2012-10-10 02:16:17 EDT
Got info from Divya, that by default linux-aio is disabled.

Moving this bug to VERIFIED state

Note You need to log in before you can comment on or make changes to this bug.